Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 135736 - IDE Hangs in trivial operations
IDE Hangs in trivial operations
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Source
6.x
All Windows XP
: P2 (vote)
: 6.x
Assigned To: Jan Lahoda
issues@java
61fixes3-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 22:46 UTC by sapanparikh18
Modified: 2008-09-04 13:24 UTC (History)
8 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
A picture of task manager and netbeans. Look at the memory netbeans uses and also the CPU (3.75 MB, image/jpeg)
2008-05-23 22:47 UTC, sapanparikh18
Details
COMPLETE Thread Dump (53.26 KB, text/plain)
2008-06-06 21:23 UTC, sapanparikh18
Details
Log file from JVM Crash documented above (15.66 KB, text/plain)
2008-06-09 21:24 UTC, sapanparikh18
Details
Compile image (3.64 MB, image/bmp)
2008-06-18 19:35 UTC, sapanparikh18
Details
Happend once more, a new thread dump if it helps (23.13 KB, text/plain)
2008-06-19 15:39 UTC, sapanparikh18
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sapanparikh18 2008-05-23 22:46:26 UTC
It seems that there are many things which NetBeans handles and there are many feature that it provides. But are they the
reasons of its tremendous slowness? My IDE hangs in trivial operations like formatting the code by right clicking and
clicking on "format" context menu. It also freezes when I press control button and click on a method name in some JSP. I
atleast have to kill my IDE 3 times a day. I am using a project with thousands of files but number of files never should
be a bottleneck, should it? I also believe that a message on the lower right corner saying "Indexing
c:\dir\project\name\"  is one of the big reason of the slowness.
Comment 1 sapanparikh18 2008-05-23 22:47:41 UTC
Created attachment 61871 [details]
A picture of task manager and netbeans. Look at the memory netbeans uses and also the CPU
Comment 2 Lukas Hasik 2008-05-26 07:08:39 UTC
screenshot of task manager doesn't help to track down the problem. Could you please take thread dump when the IDE freeze
or seems to be slow down? Follow http://wiki.netbeans.org/wiki/view/GenerateThreadDump
The JSP problem might be similar to issue 132662.

thank you for report
Comment 3 sapanparikh18 2008-05-27 14:59:07 UTC
Well following are the thread dumps after I right clicked on the JSP editor and clicked on "format". My IDE got locked
after that. 
---------------------------------------------------------------------------------------------------------------------
DUMP-1
        at java.util.concurrent.FutureTask.run(FutureTask.java:138)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExec
utor.java:885)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor
.java:907)
        at java.lang.Thread.run(Thread.java:619)

"org.netbeans.modules.gsfret.source.usages.RepositoryUpdater" prio=6 tid=0x2a707
c00 nid=0x464 in Object.wait() [0x2cc8f000..0x2cc8fa14]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x071b1d18> (a java.util.TaskQueue)
        at java.lang.Object.wait(Object.java:485)
        at java.util.TimerThread.mainLoop(Timer.java:483)
        - locked <0x071b1d18> (a java.util.TaskQueue)
        at java.util.TimerThread.run(Timer.java:462)

"Java Source Worker Thread" prio=6 tid=0x2a707800 nid=0x1568 waiting on conditio
n [0x2ca8f000..0x2ca8fb94]
   java.lang.Thread.State: TIMED_WAITING (parking)
        at sun.misc.Unsafe.park(Native Method)
        - parking to wait for  <0x071b3de8> (a java.util.concurrent.locks.Abstra
ctQueuedSynchronizer$ConditionObject)
        at java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:198
)
        at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject
.awaitNanos(AbstractQueuedSynchronizer.java:1927)
        at java.util.concurrent.PriorityBlockingQueue.poll(PriorityBlockingQueue
.java:245)
        at org.netbeans.api.java.source.JavaSource$CompilationJob.run(JavaSource
.java:1539)
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:44
1)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
        at java.util.concurrent.FutureTask.run(FutureTask.java:138)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExec
utor.java:885)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor
.java:907)
        at java.lang.Thread.run(Thread.java:619)

"pool-1-thread-1" prio=6 tid=0x283e8000 nid=0x11bc waiting on condition [0x2c08f
000..0x2c08fa14]
   java.lang.Thread.State: WAITING (parking)
        at sun.misc.Unsafe.park(Native Method)
        - parking to wait for  <0x05ccb8e0> (a java.util.concurrent.locks.Abstra
ctQueuedSynchronizer$ConditionObject)
        at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
        at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject
.await(AbstractQueuedSynchronizer.java:1889)
        at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.jav
a:358)
        at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.ja
va:946)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor
.java:906)
        at java.lang.Thread.run(Thread.java:619)

"DestroyJavaVM" prio=6 tid=0x00298400 nid=0x14cc waiting on condition [0x0000000
0..0x00abfd4c]
   java.lang.Thread.State: RUNNABLE

"AWT-EventQueue-1" prio=6 tid=0x283bb400 nid=0x768 waiting on condition [0x2bc8f
000..0x2bc8fc14]
   java.lang.Thread.State: WAITING (parking)
        at sun.misc.Unsafe.park(Native Method)
        - parking to wait for  <0x07713ec0> (a java.util.concurrent.locks.Reentr
antLock$FairSync)
        at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
        at java.util.concurrent.locks.AbstractQueuedSynchronizer.parkAndCheckInt
errupt(AbstractQueuedSynchronizer.java:712)
        at java.util.concurrent.locks.AbstractQueuedSynchronizer.acquireQueued(A
bstractQueuedSynchronizer.java:743)
        at java.util.concurrent.locks.AbstractQueuedSynchronizer.acquire(Abstrac
tQueuedSynchronizer.java:1079)
        at java.util.concurrent.locks.ReentrantLock$FairSync.lock(ReentrantLock.
java:201)
        at java.util.concurrent.locks.ReentrantLock.lock(ReentrantLock.java:262)

        at org.netbeans.napi.gsfret.source.Source$JavaSourceAccessorImpl.lockPar
ser(Source.java:1595)
        at org.netbeans.modules.gsf.GsfReformatTask$Lock.lock(GsfReformatTask.ja
va:111)
        at org.netbeans.modules.editor.indent.TaskHandler$MimeItem.lock(TaskHand
ler.java:497)
        at org.netbeans.modules.editor.indent.TaskHandler.lock(TaskHandler.java:
232)
        at org.netbeans.modules.editor.indent.IndentImpl.reformatLock(IndentImpl
.java:159)
        - locked <0x09bbb2c8> (a org.netbeans.modules.editor.indent.IndentImpl)
        at org.netbeans.modules.editor.indent.FormatterImpl.reformatLock(Formatt
erImpl.java:91)
        at org.netbeans.editor.ActionFactory$FormatAction.actionPerformed(Action
Factory.java:1531)
        at org.netbeans.editor.BaseAction.actionPerformed(BaseAction.java:290)
        at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:19
95)
        at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.jav
a:2318)
        at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel
.java:387)
        at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242
)
        at javax.swing.AbstractButton.doClick(AbstractButton.java:357)
        at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:1
216)
        at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMen
uItemUI.java:1257)
        at java.awt.Component.processMouseEvent(Component.java:6038)
        at javax.swing.JComponent.processMouseEvent(JComponent.java:3260)
        at java.awt.Component.processEvent(Component.java:5803)
        at java.awt.Container.processEvent(Container.java:2058)
        at java.awt.Component.dispatchEventImpl(Component.java:4410)
        at java.awt.Container.dispatchEventImpl(Container.java:2116)
        at java.awt.Component.dispatchEvent(Component.java:4240)
        at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4322
)
        at java.awt.LightweightDispatcher.processMouseEvent(Container.java:3986)

        at java.awt.LightweightDispatcher.dispatchEvent(Container.java:3916)
        at java.awt.Container.dispatchEventImpl(Container.java:2102)
        at java.awt.Window.dispatchEventImpl(Window.java:2429)
        at java.awt.Component.dispatchEvent(Component.java:4240)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
        at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.j
ava:104)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThre
ad.java:273)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.
java:183)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThre
ad.java:173)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:168)

        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:160)

        at java.awt.EventDispatchThread.run(EventDispatchThread.java:121)

"TimerQueue" daemon prio=6 tid=0x2927a000 nid=0x8d8 in Object.wait() [0x2a5af000
..0x2a5afc94]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x04dd2058> (a javax.swing.TimerQueue)
        at javax.swing.TimerQueue.run(TimerQueue.java:236)
        - locked <0x04dd2058> (a javax.swing.TimerQueue)
        at java.lang.Thread.run(Thread.java:619)

"Creator Error Handler Listener" prio=6 tid=0x2911b800 nid=0x8c0 runnable [0x2ba
8f000..0x2ba8fd14]
   java.lang.Thread.State: RUNNABLE
        at java.net.PlainSocketImpl.socketAccept(Native Method)
        at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:384)
        - locked <0x055e0330> (a java.net.SocksSocketImpl)
        at java.net.ServerSocket.implAccept(ServerSocket.java:450)
        at java.net.ServerSocket.accept(ServerSocket.java:421)
        at org.netbeans.modules.visualweb.errorhandler.DebugServerThread.run(Deb
ugServerThread.java:115)

"*** JFluid Separate Command Execution Thread" daemon prio=6 tid=0x28448800 nid=
0xcc8 in Object.wait() [0x2b88f000..0x2b88fd94]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x04dd2068> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:485)
        at org.netbeans.lib.profiler.ProfilerClient$SeparateCmdExecutionThread.r
un(ProfilerClient.java:104)
        - locked <0x04dd2068> (a java.lang.Object)

"Thread-4" daemon prio=6 tid=0x28423000 nid=0x9b0 in Object.wait() [0x2b59f000..
0x2b59fa14]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0552fdc0> (a java.util.LinkedList)
        at java.lang.Object.wait(Object.java:485)
        at java.util.prefs.AbstractPreferences$EventDispatchThread.run(AbstractP
references.java:1461)
        - locked <0x0552fdc0> (a java.util.LinkedList)

"AWT-Windows" daemon prio=6 tid=0x29040800 nid=0xc98 runnable [0x2a3af000..0x2a3
afc14]
   java.lang.Thread.State: RUNNABLE
        at sun.awt.windows.WToolkit.eventLoop(Native Method)
        at sun.awt.windows.WToolkit.run(WToolkit.java:290)
        at java.lang.Thread.run(Thread.java:619)

"AWT-Shutdown" prio=6 tid=0x2903f000 nid=0x3e4 in Object.wait() [0x2a1af000..0x2
a1afc94]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x04899de0> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:485)
        at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:259)
        - locked <0x04899de0> (a java.lang.Object)
        at java.lang.Thread.run(Thread.java:619)

"Java2D Disposer" daemon prio=10 tid=0x28ff8800 nid=0xaf4 in Object.wait() [0x29
eaf000..0x29eafd14]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x048b1b48> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:116)
        - locked <0x048b1b48> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:132)
        at sun.java2d.Disposer.run(Disposer.java:125)
        at java.lang.Thread.run(Thread.java:619)

"Timer-0" daemon prio=6 tid=0x28491000 nid=0xca8 in Object.wait() [0x2980f000..0
x2980fa94]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x049769c0> (a java.util.TaskQueue)
        at java.util.TimerThread.mainLoop(Timer.java:509)
        - locked <0x049769c0> (a java.util.TaskQueue)
        at java.util.TimerThread.run(Timer.java:462)

"CLI Requests Server" daemon prio=6 tid=0x28fc8800 nid=0xd78 runnable [0x2960f00
0..0x2960fb14]
   java.lang.Thread.State: RUNNABLE
        at java.net.PlainSocketImpl.socketAccept(Native Method)
        at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:384)
        - locked <0x048f4d98> (a java.net.SocksSocketImpl)
        at java.net.ServerSocket.implAccept(ServerSocket.java:450)
        at java.net.ServerSocket.accept(ServerSocket.java:421)
        at org.netbeans.CLIHandler$Server.run(CLIHandler.java:1003)

"Active Reference Queue Daemon" daemon prio=2 tid=0x283e3800 nid=0x1394 in Objec
t.wait() [0x28f6f000..0x28f6fb94]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x04899f60> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:116)
        - locked <0x04899f60> (a java.lang.ref.ReferenceQueue$Lock)
        at org.openide.util.Utilities$ActiveQueue.run(Utilities.java:3056)
        at java.lang.Thread.run(Thread.java:619)

"Low Memory Detector" daemon prio=6 tid=0x282d5000 nid=0x1070 runnable [0x000000
00..0x00000000]
   java.lang.Thread.State: RUNNABLE

"CompilerThread0" daemon prio=10 tid=0x282d3800 nid=0x1368 waiting on condition
[0x00000000..0x28b1fa18]
   java.lang.Thread.State: RUNNABLE

"Attach Listener" daemon prio=10 tid=0x282d2800 nid=0xbd4 runnable [0x00000000..
0x00000000]
   java.lang.Thread.State: RUNNABLE

"Signal Dispatcher" daemon prio=10 tid=0x282d1800 nid=0x7f8 waiting on condition
 [0x00000000..0x00000000]
   java.lang.Thread.State: RUNNABLE

"Surrogate Locker Thread (CMS)" daemon prio=6 tid=0x267ff000 nid=0x13e8 waiting
on condition [0x00000000..0x286cfc28]
   java.lang.Thread.State: RUNNABLE

"Finalizer" daemon prio=8 tid=0x267e9000 nid=0x1188 in Object.wait() [0x282cf000
..0x282cfb14]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x04976b50> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:116)
        - locked <0x04976b50> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:132)
        at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:159)

"Reference Handler" daemon prio=10 tid=0x267e4c00 nid=0x5cc in Object.wait() [0x
280cf000..0x280cfb94]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x04901c60> (a java.lang.ref.Reference$Lock)
        at java.lang.Object.wait(Object.java:485)
        at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:116)
        - locked <0x04901c60> (a java.lang.ref.Reference$Lock)

"VM Thread" prio=10 tid=0x267e1c00 nid=0x12bc runnable

"Gang worker#0 (Parallel GC Threads)" prio=10 tid=0x0029bc00 nid=0xd60 runnable


"Gang worker#1 (Parallel GC Threads)" prio=10 tid=0x0029a800 nid=0x13a0 runnable


"Concurrent Mark-Sweep GC Thread" prio=10 tid=0x26766800 nid=0x4d8 runnable
"VM Periodic Task Thread" prio=10 tid=0x282d6400 nid=0x1380 waiting on condition


JNI global references: 2021

Heap
 par new generation   total 14784K, used 13484K [0x02be0000, 0x03be0000, 0x04850
000)
  eden space 13184K,  90% used [0x02be0000, 0x0377b3b8, 0x038c0000)
  from space 1600K, 100% used [0x03a50000, 0x03be0000, 0x03be0000)
  to   space 1600K,   0% used [0x038c0000, 0x038c0000, 0x03a50000)
 concurrent mark-sweep generation total 349760K, used 320357K [0x04850000, 0x19d
e0000, 0x19de0000)
 concurrent-mark-sweep perm gen total 83248K, used 49875K [0x19de0000, 0x1ef2c00
0, 0x265e0000)

--------------------------------------------------------------------------------------------------------
DUMP-2

        at java.util.concurrent.FutureTask.run(FutureTask.java:138)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExec
utor.java:885)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor
.java:907)
        at java.lang.Thread.run(Thread.java:619)

"org.netbeans.modules.gsfret.source.usages.RepositoryUpdater" prio=6 tid=0x2a707
c00 nid=0x464 in Object.wait() [0x2cc8f000..0x2cc8fa14]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x06731080> (a java.util.TaskQueue)
        at java.lang.Object.wait(Object.java:485)
        at java.util.TimerThread.mainLoop(Timer.java:483)
        - locked <0x06731080> (a java.util.TaskQueue)
        at java.util.TimerThread.run(Timer.java:462)

"Java Source Worker Thread" prio=6 tid=0x2a707800 nid=0x1568 waiting on conditio
n [0x2ca8f000..0x2ca8fb94]
   java.lang.Thread.State: TIMED_WAITING (parking)
        at sun.misc.Unsafe.park(Native Method)
        - parking to wait for  <0x06732c80> (a java.util.concurrent.locks.Abstra
ctQueuedSynchronizer$ConditionObject)
        at java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:198
)
        at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject
.awaitNanos(AbstractQueuedSynchronizer.java:1927)
        at java.util.concurrent.PriorityBlockingQueue.poll(PriorityBlockingQueue
.java:245)
        at org.netbeans.api.java.source.JavaSource$CompilationJob.run(JavaSource
.java:1539)
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:44
1)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
        at java.util.concurrent.FutureTask.run(FutureTask.java:138)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExec
utor.java:885)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor
.java:907)
        at java.lang.Thread.run(Thread.java:619)

"pool-1-thread-1" prio=6 tid=0x283e8000 nid=0x11bc waiting on condition [0x2c08f
000..0x2c08fa14]
   java.lang.Thread.State: WAITING (parking)
        at sun.misc.Unsafe.park(Native Method)
        - parking to wait for  <0x056a8370> (a java.util.concurrent.locks.Abstra
ctQueuedSynchronizer$ConditionObject)
        at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
        at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject
.await(AbstractQueuedSynchronizer.java:1889)
        at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.jav
a:358)
        at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.ja
va:946)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor
.java:906)
        at java.lang.Thread.run(Thread.java:619)

"DestroyJavaVM" prio=6 tid=0x00298400 nid=0x14cc waiting on condition [0x0000000
0..0x00abfd4c]
   java.lang.Thread.State: RUNNABLE

"AWT-EventQueue-1" prio=6 tid=0x283bb400 nid=0x768 waiting on condition [0x2bc8f
000..0x2bc8fc14]
   java.lang.Thread.State: WAITING (parking)
        at sun.misc.Unsafe.park(Native Method)
        - parking to wait for  <0x06b8d8e8> (a java.util.concurrent.locks.Reentr
antLock$FairSync)
        at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
        at java.util.concurrent.locks.AbstractQueuedSynchronizer.parkAndCheckInt
errupt(AbstractQueuedSynchronizer.java:712)
        at java.util.concurrent.locks.AbstractQueuedSynchronizer.acquireQueued(A
bstractQueuedSynchronizer.java:743)
        at java.util.concurrent.locks.AbstractQueuedSynchronizer.acquire(Abstrac
tQueuedSynchronizer.java:1079)
        at java.util.concurrent.locks.ReentrantLock$FairSync.lock(ReentrantLock.
java:201)
        at java.util.concurrent.locks.ReentrantLock.lock(ReentrantLock.java:262)

        at org.netbeans.napi.gsfret.source.Source$JavaSourceAccessorImpl.lockPar
ser(Source.java:1595)
        at org.netbeans.modules.gsf.GsfReformatTask$Lock.lock(GsfReformatTask.ja
va:111)
        at org.netbeans.modules.editor.indent.TaskHandler$MimeItem.lock(TaskHand
ler.java:497)
        at org.netbeans.modules.editor.indent.TaskHandler.lock(TaskHandler.java:
232)
        at org.netbeans.modules.editor.indent.IndentImpl.reformatLock(IndentImpl
.java:159)
        - locked <0x0847dd40> (a org.netbeans.modules.editor.indent.IndentImpl)
        at org.netbeans.modules.editor.indent.FormatterImpl.reformatLock(Formatt
erImpl.java:91)
        at org.netbeans.editor.ActionFactory$FormatAction.actionPerformed(Action
Factory.java:1531)
        at org.netbeans.editor.BaseAction.actionPerformed(BaseAction.java:290)
        at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:19
95)
        at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.jav
a:2318)
        at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel
.java:387)
        at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242
)
        at javax.swing.AbstractButton.doClick(AbstractButton.java:357)
        at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:1
216)
        at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMen
uItemUI.java:1257)
        at java.awt.Component.processMouseEvent(Component.java:6038)
        at javax.swing.JComponent.processMouseEvent(JComponent.java:3260)
        at java.awt.Component.processEvent(Component.java:5803)
        at java.awt.Container.processEvent(Container.java:2058)
        at java.awt.Component.dispatchEventImpl(Component.java:4410)
        at java.awt.Container.dispatchEventImpl(Container.java:2116)
        at java.awt.Component.dispatchEvent(Component.java:4240)
        at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4322
)
        at java.awt.LightweightDispatcher.processMouseEvent(Container.java:3986)

        at java.awt.LightweightDispatcher.dispatchEvent(Container.java:3916)
        at java.awt.Container.dispatchEventImpl(Container.java:2102)
        at java.awt.Window.dispatchEventImpl(Window.java:2429)
        at java.awt.Component.dispatchEvent(Component.java:4240)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
        at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.j
ava:104)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThre
ad.java:273)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.
java:183)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThre
ad.java:173)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:168)

        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:160)

        at java.awt.EventDispatchThread.run(EventDispatchThread.java:121)

"TimerQueue" daemon prio=6 tid=0x2927a000 nid=0x8d8 in Object.wait() [0x2a5af000
..0x2a5afc94]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x04c548a0> (a javax.swing.TimerQueue)
        at javax.swing.TimerQueue.run(TimerQueue.java:236)
        - locked <0x04c548a0> (a javax.swing.TimerQueue)
        at java.lang.Thread.run(Thread.java:619)

"Creator Error Handler Listener" prio=6 tid=0x2911b800 nid=0x8c0 runnable [0x2ba
8f000..0x2ba8fd14]
   java.lang.Thread.State: RUNNABLE
        at java.net.PlainSocketImpl.socketAccept(Native Method)
        at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:384)
        - locked <0x05311380> (a java.net.SocksSocketImpl)
        at java.net.ServerSocket.implAccept(ServerSocket.java:450)
        at java.net.ServerSocket.accept(ServerSocket.java:421)
        at org.netbeans.modules.visualweb.errorhandler.DebugServerThread.run(Deb
ugServerThread.java:115)

"*** JFluid Separate Command Execution Thread" daemon prio=6 tid=0x28448800 nid=
0xcc8 in Object.wait() [0x2b88f000..0x2b88fd94]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x04c548b0> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:485)
        at org.netbeans.lib.profiler.ProfilerClient$SeparateCmdExecutionThread.r
un(ProfilerClient.java:104)
        - locked <0x04c548b0> (a java.lang.Object)

"Thread-4" daemon prio=6 tid=0x28423000 nid=0x9b0 in Object.wait() [0x2b59f000..
0x2b59fa14]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x05287088> (a java.util.LinkedList)
        at java.lang.Object.wait(Object.java:485)
        at java.util.prefs.AbstractPreferences$EventDispatchThread.run(AbstractP
references.java:1461)
        - locked <0x05287088> (a java.util.LinkedList)

"AWT-Windows" daemon prio=6 tid=0x29040800 nid=0xc98 runnable [0x2a3af000..0x2a3
afc14]
   java.lang.Thread.State: RUNNABLE
        at sun.awt.windows.WToolkit.eventLoop(Native Method)
        at sun.awt.windows.WToolkit.run(WToolkit.java:290)
        at java.lang.Thread.run(Thread.java:619)

"AWT-Shutdown" prio=6 tid=0x2903f000 nid=0x3e4 in Object.wait() [0x2a1af000..0x2
a1afc94]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x04887158> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:485)
        at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:259)
        - locked <0x04887158> (a java.lang.Object)
        at java.lang.Thread.run(Thread.java:619)

"Java2D Disposer" daemon prio=10 tid=0x28ff8800 nid=0xaf4 in Object.wait() [0x29
eaf000..0x29eafd14]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x0489d7a0> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:116)
        - locked <0x0489d7a0> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:132)
        at sun.java2d.Disposer.run(Disposer.java:125)
        at java.lang.Thread.run(Thread.java:619)

"Timer-0" daemon prio=6 tid=0x28491000 nid=0xca8 in Object.wait() [0x2980f000..0
x2980fa94]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x04949140> (a java.util.TaskQueue)
        at java.util.TimerThread.mainLoop(Timer.java:509)
        - locked <0x04949140> (a java.util.TaskQueue)
        at java.util.TimerThread.run(Timer.java:462)

"CLI Requests Server" daemon prio=6 tid=0x28fc8800 nid=0xd78 runnable [0x2960f00
0..0x2960fb14]
   java.lang.Thread.State: RUNNABLE
        at java.net.PlainSocketImpl.socketAccept(Native Method)
        at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:384)
        - locked <0x048d6a90> (a java.net.SocksSocketImpl)
        at java.net.ServerSocket.implAccept(ServerSocket.java:450)
        at java.net.ServerSocket.accept(ServerSocket.java:421)
        at org.netbeans.CLIHandler$Server.run(CLIHandler.java:1003)

"Active Reference Queue Daemon" daemon prio=2 tid=0x283e3800 nid=0x1394 in Objec
t.wait() [0x28f6f000..0x28f6fb94]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x04887288> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:116)
        - locked <0x04887288> (a java.lang.ref.ReferenceQueue$Lock)
        at org.openide.util.Utilities$ActiveQueue.run(Utilities.java:3056)
        at java.lang.Thread.run(Thread.java:619)

"Low Memory Detector" daemon prio=6 tid=0x282d5000 nid=0x1070 runnable [0x000000
00..0x00000000]
   java.lang.Thread.State: RUNNABLE

"CompilerThread0" daemon prio=10 tid=0x282d3800 nid=0x1368 waiting on condition
[0x00000000..0x28b1fa18]
   java.lang.Thread.State: RUNNABLE

"Attach Listener" daemon prio=10 tid=0x282d2800 nid=0xbd4 runnable [0x00000000..
0x00000000]
   java.lang.Thread.State: RUNNABLE

"Signal Dispatcher" daemon prio=10 tid=0x282d1800 nid=0x7f8 waiting on condition
 [0x00000000..0x00000000]
   java.lang.Thread.State: RUNNABLE

"Surrogate Locker Thread (CMS)" daemon prio=6 tid=0x267ff000 nid=0x13e8 waiting
on condition [0x00000000..0x286cfc28]
   java.lang.Thread.State: RUNNABLE

"Finalizer" daemon prio=8 tid=0x267e9000 nid=0x1188 in Object.wait() [0x282cf000
..0x282cfb14]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x04949260> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:116)
        - locked <0x04949260> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:132)
        at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:159)

"Reference Handler" daemon prio=10 tid=0x267e4c00 nid=0x5cc in Object.wait() [0x
280cf000..0x280cfb94]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x048e2b40> (a java.lang.ref.Reference$Lock)
        at java.lang.Object.wait(Object.java:485)
        at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:116)
        - locked <0x048e2b40> (a java.lang.ref.Reference$Lock)

"VM Thread" prio=10 tid=0x267e1c00 nid=0x12bc runnable

"Gang worker#0 (Parallel GC Threads)" prio=10 tid=0x0029bc00 nid=0xd60 runnable


"Gang worker#1 (Parallel GC Threads)" prio=10 tid=0x0029a800 nid=0x13a0 runnable


"Concurrent Mark-Sweep GC Thread" prio=10 tid=0x26766800 nid=0x4d8 runnable
"VM Periodic Task Thread" prio=10 tid=0x282d6400 nid=0x1380 waiting on condition


JNI global references: 1439

Heap
 par new generation   total 26240K, used 3212K [0x02be0000, 0x04850000, 0x048500
00)
  eden space 23360K,   4% used [0x02be0000, 0x02d002e8, 0x042b0000)
  from space 2880K,  71% used [0x042b0000, 0x044b2d28, 0x04580000)
  to   space 2880K,   0% used [0x04580000, 0x04580000, 0x04850000)
 concurrent mark-sweep generation total 349760K, used 306679K [0x04850000, 0x19d
e0000, 0x19de0000)
 concurrent-mark-sweep perm gen total 83248K, used 49853K [0x19de0000, 0x1ef2c00
0, 0x265e0000)

Comment 4 sapanparikh18 2008-05-29 14:47:19 UTC
It stuck once more and here is the thread dump. This time it was opening a new project.

--------------------------------------------------------------------------------------------
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:44
1)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
        at java.util.concurrent.FutureTask.run(FutureTask.java:138)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExec
utor.java:885)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor
.java:907)
        at java.lang.Thread.run(Thread.java:619)

"org.netbeans.modules.gsfret.source.usages.RepositoryUpdater" prio=6 tid=0x2a707
c00 nid=0x464 in Object.wait() [0x2cc8f000..0x2cc8fa14]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        at java.lang.Object.wait(Object.java:485)
        at java.util.TimerThread.mainLoop(Timer.java:483)
        - locked <0x05ce59d0> (a java.util.TaskQueue)
        at java.util.TimerThread.run(Timer.java:462)

"Java Source Worker Thread" prio=6 tid=0x2a707800 nid=0x1568 in Object.wait() [0
x2ca8f000..0x2ca8fb94]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        at java.lang.Object.wait(Object.java:485)
        at org.netbeans.api.java.source.JavaSource$CurrentRequestReference.setCu
rrentTask(JavaSource.java:2163)
        - locked <0x05ce5a00> (a org.netbeans.api.java.source.JavaSource$Interna
lLock)
        at org.netbeans.api.java.source.JavaSource$CompilationJob.run(JavaSource
.java:1717)
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:44
1)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
        at java.util.concurrent.FutureTask.run(FutureTask.java:138)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExec
utor.java:885)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor
.java:907)
        at java.lang.Thread.run(Thread.java:619)

"pool-1-thread-1" prio=6 tid=0x283e8000 nid=0x11bc waiting on condition [0x2c08f
000..0x2c08fa14]
   java.lang.Thread.State: WAITING (parking)
        at sun.misc.Unsafe.park(Native Method)
        - parking to wait for  <0x05416060> (a java.util.concurrent.locks.Abstra
ctQueuedSynchronizer$ConditionObject)
        at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
        at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject
.await(AbstractQueuedSynchronizer.java:1889)
        at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.jav
a:358)
        at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.ja
va:946)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor
.java:906)
        at java.lang.Thread.run(Thread.java:619)

"DestroyJavaVM" prio=6 tid=0x00298400 nid=0x14cc waiting on condition [0x0000000
0..0x00abfd4c]
   java.lang.Thread.State: RUNNABLE

"AWT-EventQueue-1" prio=6 tid=0x283bb400 nid=0x768 in Object.wait() [0x2bc8f000.
.0x2bc8fc14]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        at java.lang.Object.wait(Object.java:485)
        at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEdi
torSupport.java:744)
        at org.openide.text.CloneableEditorSupport.openDocumentImpl(CloneableEdi
torSupport.java:735)
        at org.openide.text.CloneableEditorSupport.openDocumentCheckIOE(Cloneabl
eEditorSupport.java:715)
        at org.openide.text.CloneableEditorSupport.openDocument(CloneableEditorS
upport.java:710)
        - locked <0x0f2e9d40> (a org.openide.windows.CloneableOpenSupport$Listen
er)
        at org.openide.text.DataEditorSupport.openDocument(DataEditorSupport.jav
a:398)
        at org.apache.tools.ant.module.xml.AntProjectSupport.parseDocument(AntPr
ojectSupport.java:255)
        at org.apache.tools.ant.module.xml.AntProjectSupport.getDocument(AntProj
ectSupport.java:157)
        - locked <0x0f2e9688> (a java.lang.Object)
        at org.apache.tools.ant.module.xml.AntProjectSupport.getProjectElement(A
ntProjectSupport.java:295)
        at org.apache.tools.ant.module.run.TargetExecutor.getProcessDisplayName(
TargetExecutor.java:130)
        at org.apache.tools.ant.module.run.TargetExecutor.execute(TargetExecutor
.java:265)
        at org.apache.tools.ant.module.api.AntTargetExecutor.execute(AntTargetEx
ecutor.java:103)
        at org.apache.tools.ant.module.api.support.ActionUtils.runTarget(ActionU
tils.java:93)
        at org.netbeans.modules.web.project.WebActionProvider$1.run(WebActionPro
vider.java:228)
        at org.netbeans.modules.web.project.WebActionProvider.invokeAction(WebAc
tionProvider.java:236)
        at org.netbeans.modules.project.ui.actions.ProjectAction.actionPerformed
(ProjectAction.java:116)
        at org.netbeans.modules.project.ui.actions.LookupSensitiveAction.actionP
erformed(LookupSensitiveAction.java:157)
        at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:19
95)
        at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.jav
a:2318)
        at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel
.java:387)
        at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242
)
        at javax.swing.AbstractButton.doClick(AbstractButton.java:357)
        at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:1
216)
        at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMen
uItemUI.java:1257)
        at java.awt.Component.processMouseEvent(Component.java:6038)
        at javax.swing.JComponent.processMouseEvent(JComponent.java:3260)
        at java.awt.Component.processEvent(Component.java:5803)
        at java.awt.Container.processEvent(Container.java:2058)
        at java.awt.Component.dispatchEventImpl(Component.java:4410)
        at java.awt.Container.dispatchEventImpl(Container.java:2116)
        at java.awt.Component.dispatchEvent(Component.java:4240)
        at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4322
)
        at java.awt.LightweightDispatcher.processMouseEvent(Container.java:3986)

        at java.awt.LightweightDispatcher.dispatchEvent(Container.java:3916)
        at java.awt.Container.dispatchEventImpl(Container.java:2102)
        at java.awt.Window.dispatchEventImpl(Window.java:2429)
        at java.awt.Component.dispatchEvent(Component.java:4240)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
        at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.j
ava:104)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThre
ad.java:273)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.
java:183)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThre
ad.java:173)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:168)

        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:160)

        at java.awt.EventDispatchThread.run(EventDispatchThread.java:121)

"TimerQueue" daemon prio=6 tid=0x2927a000 nid=0x8d8 in Object.wait() [0x2a5af000
..0x2a5afc94]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        at javax.swing.TimerQueue.run(TimerQueue.java:236)
        - locked <0x04b786d8> (a javax.swing.TimerQueue)
        at java.lang.Thread.run(Thread.java:619)

"Creator Error Handler Listener" prio=6 tid=0x2911b800 nid=0x8c0 runnable [0x2ba
8f000..0x2ba8fd14]
   java.lang.Thread.State: RUNNABLE
        at java.net.PlainSocketImpl.socketAccept(Native Method)
        at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:384)
        - locked <0x0512f4e0> (a java.net.SocksSocketImpl)
        at java.net.ServerSocket.implAccept(ServerSocket.java:450)
        at java.net.ServerSocket.accept(ServerSocket.java:421)
        at org.netbeans.modules.visualweb.errorhandler.DebugServerThread.run(Deb
ugServerThread.java:115)

"*** JFluid Separate Command Execution Thread" daemon prio=6 tid=0x28448800 nid=
0xcc8 in Object.wait() [0x2b88f000..0x2b88fd94]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x04b786e8> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:485)
        at org.netbeans.lib.profiler.ProfilerClient$SeparateCmdExecutionThread.r
un(ProfilerClient.java:104)
        - locked <0x04b786e8> (a java.lang.Object)

"Thread-4" daemon prio=6 tid=0x28423000 nid=0x9b0 in Object.wait() [0x2b59f000..
0x2b59fa14]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x050c0c30> (a java.util.LinkedList)
        at java.lang.Object.wait(Object.java:485)
        at java.util.prefs.AbstractPreferences$EventDispatchThread.run(AbstractP
references.java:1461)
        - locked <0x050c0c30> (a java.util.LinkedList)

"AWT-Windows" daemon prio=6 tid=0x29040800 nid=0xc98 runnable [0x2a3af000..0x2a3
afc14]
   java.lang.Thread.State: RUNNABLE
        at sun.awt.windows.WToolkit.eventLoop(Native Method)
        at sun.awt.windows.WToolkit.run(WToolkit.java:290)
        at java.lang.Thread.run(Thread.java:619)

"AWT-Shutdown" prio=6 tid=0x2903f000 nid=0x3e4 in Object.wait() [0x2a1af000..0x2
a1afc94]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        at java.lang.Object.wait(Object.java:485)
        at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:259)
        - locked <0x04880710> (a java.lang.Object)
        at java.lang.Thread.run(Thread.java:619)

"Java2D Disposer" daemon prio=10 tid=0x28ff8800 nid=0xaf4 in Object.wait() [0x29
eaf000..0x29eafd14]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:116)
        - locked <0x04894960> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:132)
        at sun.java2d.Disposer.run(Disposer.java:125)
        at java.lang.Thread.run(Thread.java:619)

"Timer-0" daemon prio=6 tid=0x28491000 nid=0xca8 in Object.wait() [0x2980f000..0
x2980fa94]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        at java.util.TimerThread.mainLoop(Timer.java:509)
        - locked <0x0491f840> (a java.util.TaskQueue)
        at java.util.TimerThread.run(Timer.java:462)

"CLI Requests Server" daemon prio=6 tid=0x28fc8800 nid=0xd78 runnable [0x2960f00
0..0x2960fb14]
   java.lang.Thread.State: RUNNABLE
        at java.net.PlainSocketImpl.socketAccept(Native Method)
        at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:384)
        - locked <0x048c41a0> (a java.net.SocksSocketImpl)
        at java.net.ServerSocket.implAccept(ServerSocket.java:450)
        at java.net.ServerSocket.accept(ServerSocket.java:421)
        at org.netbeans.CLIHandler$Server.run(CLIHandler.java:1003)

"Active Reference Queue Daemon" daemon prio=2 tid=0x283e3800 nid=0x1394 in Objec
t.wait() [0x28f6f000..0x28f6fb94]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:116)
        - locked <0x04880840> (a java.lang.ref.ReferenceQueue$Lock)
        at org.openide.util.Utilities$ActiveQueue.run(Utilities.java:3056)
        at java.lang.Thread.run(Thread.java:619)

"Low Memory Detector" daemon prio=6 tid=0x282d5000 nid=0x1070 runnable [0x000000
00..0x28d1fbfc]
   java.lang.Thread.State: RUNNABLE

"CompilerThread0" daemon prio=10 tid=0x282d3800 nid=0x1368 waiting on condition
[0x00000000..0x28b1fa18]
   java.lang.Thread.State: RUNNABLE

"Attach Listener" daemon prio=10 tid=0x282d2800 nid=0xbd4 runnable [0x00000000..
0x00000000]
   java.lang.Thread.State: RUNNABLE

"Signal Dispatcher" daemon prio=10 tid=0x282d1800 nid=0x7f8 waiting on condition
 [0x00000000..0x00000000]
   java.lang.Thread.State: RUNNABLE

"Surrogate Locker Thread (CMS)" daemon prio=6 tid=0x267ff000 nid=0x13e8 waiting
on condition [0x00000000..0x286cfc28]
   java.lang.Thread.State: RUNNABLE

"Finalizer" daemon prio=8 tid=0x267e9000 nid=0x1188 in Object.wait() [0x282cf000
..0x282cfb14]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:116)
        - locked <0x0491f960> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:132)
        at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:159)

"Reference Handler" daemon prio=10 tid=0x267e4c00 nid=0x5cc in Object.wait() [0x
280cf000..0x280cfb94]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        at java.lang.Object.wait(Object.java:485)
        at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:116)
        - locked <0x048d0190> (a java.lang.ref.Reference$Lock)

"VM Thread" prio=10 tid=0x267e1c00 nid=0x12bc runnable

"Gang worker#0 (Parallel GC Threads)" prio=10 tid=0x0029bc00 nid=0xd60 runnable


"Gang worker#1 (Parallel GC Threads)" prio=10 tid=0x0029a800 nid=0x13a0 runnable


"Concurrent Mark-Sweep GC Thread" prio=10 tid=0x26766800 nid=0x4d8 runnable
"VM Periodic Task Thread" prio=10 tid=0x282d6400 nid=0x1380 waiting on condition


JNI global references: 3929


Heap
C:\Program Files\NetBeans 6.1\bin> par new generation   total 26240K, used 20656
K [0x02be0000, 0x04850000, 0x04850000)
  eden space 23360K,  76% used [0x02be0000, 0x03d3c3f8, 0x042b0000)
  from space 2880K,  99% used [0x04580000, 0x0484fde0, 0x04850000)
  to   space 2880K,   0% used [0x042b0000, 0x042b0000, 0x04580000)
 concurrent mark-sweep generation total 349760K, used 328164K [0x04850000, 0x19d
e0000, 0x19de0000)
 concurrent-mark-sweep perm gen total 125040K, used 76562K [0x19de0000, 0x217fc0
00, 0x265e0000)

Comment 5 Lukas Hasik 2008-05-30 10:46:46 UTC
passing to web project. It seems that it happens with web projects and jsf.
CC'ing Tor as the first thread dump starts in gsf.
Comment 6 Marek Fukala 2008-05-30 12:33:38 UTC
I do not see any web code in the stacktraces except the last one which is apparently another issue (already repored I
belive). Looks like one holds the java parser lock but I do not see who. BTW it looks like the beginning of each
threaddump is missing. Reporter, can you try to *attach* (do not put to the textarea please) a full stacktrace?
Comment 7 sapanparikh18 2008-05-30 16:45:17 UTC
Well i am trying it through the command prompt(Pressing ctrl + break) and thus it just shows a limited number of lines.
Is there a way to pipe this out put directly in a file from command prompt?
Comment 8 Lukas Hasik 2008-05-30 20:08:55 UTC
change buffer size of the command prompt in properties accessible from "file" menu on the command prompt window
Comment 9 Marek Fukala 2008-06-02 08:56:28 UTC
just attach the netbeans log file. You can find it in 

${netbeans_home}/dev/var/log/messages.log

Comment 10 Marek Fukala 2008-06-02 08:59:01 UTC
Ooops, looks like the threaddump do not go to the log file, sorry.
Comment 11 sapanparikh18 2008-06-03 03:02:49 UTC
With kind of working I am doing now a days I am not able to reproduce the Issue. I will post the thread dump as soon as
it happens again.. Most probably this week.
Comment 12 sapanparikh18 2008-06-06 21:21:40 UTC
Attaching the whole thread dump as a text file
Comment 13 sapanparikh18 2008-06-06 21:23:01 UTC
Created attachment 62501 [details]
COMPLETE Thread Dump
Comment 14 sapanparikh18 2008-06-06 21:26:07 UTC
I would also want to add that once running NB.exe from command prompt it crashed and showed the following message.
Am not sure if that's a  JVM issue or NB issue but i think it might be of any help.
Thanks a lot
------------------------------------------------------------------------------------------------------------------------

# An unexpected error has been detected by Java Runtime Environment:
#
#  EXCEPTION_ACCESS_VIOLATION (0xc0000005) at pc=0x6d9f1405, pid=3152, tid=2212
#
# Java VM: Java HotSpot(TM) Client VM (1.6.0_01-b06 mixed mode)
# Problematic frame:
# V  [jvm.dll+0x181405]
#
# An error report file with more information is saved as hs_err_pid3152.log
#
# If you would like to submit a bug report, please visit:
#   http://java.sun.com/webapps/bugreport/crash.jsp
#-----------------------------------------------------------------------

Comment 15 Torbjorn Norbye 2008-06-06 22:15:53 UTC
This looks like a deadlock between the Java debugger and the Java editor (go to declaration code). Not sure who's at
fault... adding some debugger and Java support engineers to the CC to take a look.
Comment 16 sapanparikh18 2008-06-09 21:24:28 UTC
Created attachment 62585 [details]
Log file from JVM Crash documented above
Comment 17 sapanparikh18 2008-06-09 21:30:02 UTC
Attached hs_err_pid3152.log
Just took some time to find it.
Comment 18 Marek Fukala 2008-06-18 09:39:28 UTC
As Tor wrote, the goto declaration action tries to open a file, the file gets loaded by CloneableEditorSupport. During
the initialization in a RequestProcessor thread (EDT blocked, waiting for the code)
org.netbeans.modules.debugger.jpda.projects.EditorContextImpl.getMethodLineNumbers() calls
JavaSource.runUserActionTask() which then waits for the javac lock.

Who locks the javac is not clear to me. This issue doesn't seem to be web related, I am reassigning to java since.
Please look at it and possibly reassign. Thanks.  

Comment 19 sapanparikh18 2008-06-18 19:33:33 UTC
I might be wrong but i feel that it only happens when the code is getting compiled. For example the last image attached
the compiling keeps going on even if I close the project entirely. 
Comment 20 sapanparikh18 2008-06-18 19:35:44 UTC
Created attachment 63030 [details]
Compile image
Comment 21 sapanparikh18 2008-06-19 15:39:39 UTC
Created attachment 63110 [details]
Happend once more, a new thread dump if it helps
Comment 22 Jan Lahoda 2008-06-20 14:04:09 UTC
Seems to be caused by the change of threading during opening editors. Should be fixed:
http://hg.netbeans.org/main?cmd=changeset;node=b0baa9e52f6f
Comment 23 Quality Engineering 2008-06-20 15:55:49 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #271 build
Changeset: http://hg.netbeans.org/main/rev/b0baa9e52f6f
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #135736: preventing deadlock.
Comment 24 sapanparikh18 2008-06-20 16:14:20 UTC
Does it mean that we will get it as an upgrade/patch soon?
Comment 25 Jiri Prox 2008-06-24 08:44:38 UTC
Yes, we can include it in patch3
Reporter can you verify the fix in current dev build, please? 
http://deadlock.netbeans.org/hudson/job/trunk/lastSuccessfulBuild/artifact/nbbuild/dist/zip/
Comment 26 rbalada 2008-08-04 15:53:48 UTC
Please note that NetBeans 6.1 Patch3 cut-off is going to happen on close of
business August 5th. If you would like to have bugfix for this issue as part of
NetBeans 6.1 Patch3, then this issue must have information about bugfix' trunk
changeset and it's status must be "VERIFIED".
Comment 27 sapanparikh18 2008-08-05 04:56:31 UTC
Seems to be working as of now
Comment 28 rbalada 2008-08-05 09:33:46 UTC
I've transplanted the changeset http://hg.netbeans.org/main/rev/b0baa9e52f6f into release61_fixes repository as
http://hg.netbeans.org/release61_fixes/rev/5a4263697b3b


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo